Bug 22104 - Clean up patron API keys template
Summary: Clean up patron API keys template
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL: /cgi-bin/koha/members/apikeys.pl
Keywords:
Depends on:
Blocks: 20654
  Show dependency treegraph
 
Reported: 2019-01-11 17:05 UTC by Owen Leonard
Modified: 2019-02-01 14:43 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 22104: Clean up patron API keys template (3.01 KB, patch)
2019-01-11 17:10 UTC, Owen Leonard
Details | Diff | Splinter Review
API Keys page (24.87 KB, image/png)
2019-01-17 20:29 UTC, helene
Details
Bug 22104: Clean up patron API keys template (3.07 KB, patch)
2019-01-17 20:58 UTC, Jack
Details | Diff | Splinter Review
Screenshot showing when no keys have been added (20.38 KB, image/png)
2019-01-18 01:13 UTC, Owen Leonard
Details
Screenshot showing an added key (29.71 KB, image/png)
2019-01-18 01:14 UTC, Owen Leonard
Details
Bug 22104: Clean up patron API keys template (3.06 KB, patch)
2019-01-19 06:17 UTC, David Nind
Details | Diff | Splinter Review
Bug 22104: Clean up patron API keys template (3.18 KB, patch)
2019-01-19 22:46 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-01-11 17:05:57 UTC
The patron API keys template has a couple of issues to be corrected:

- Bootstrap grid
- Fix class on "new key" button
Comment 1 Owen Leonard 2019-01-11 17:10:32 UTC
Created attachment 83815 [details] [review]
Bug 22104: Clean up patron API keys template

This patch makes two corrections to the patron API key template: Convert
to Bootstrap grid and correct class on "new key" button.

To test, apply the patch and enable the RESTOAuth2ClientCredentials
preference.

 - Open a patron record in the staff client and choose More -> Manage
   API keys.
 - On the API keys page, confirm that the page adjusts well at various
   page widths.
 - Confirm that the size of the "Generate new client id/key pair" button
   matches the buttons in the toolbar.
Comment 2 helene 2019-01-17 20:29:44 UTC
Created attachment 84159 [details]
API Keys page

API keys page after apply the patch
Comment 3 helene 2019-01-17 20:32:32 UTC
I did not observe any changes and the ' Generate a new client id/secret pair' did not become a button other then adjusting more at different page sizes.
Comment 4 Jack 2019-01-17 20:58:21 UTC Comment hidden (obsolete)
Comment 5 Jack 2019-01-17 21:01:19 UTC Comment hidden (obsolete)
Comment 6 Owen Leonard 2019-01-18 01:13:52 UTC
Created attachment 84172 [details]
Screenshot showing when no keys have been added
Comment 7 Owen Leonard 2019-01-18 01:14:34 UTC
Created attachment 84173 [details]
Screenshot showing an added key
Comment 8 Owen Leonard 2019-01-18 17:23:08 UTC
Would anyone be willing to take another look at this?
Comment 9 David Nind 2019-01-19 06:15:21 UTC
My testing matches your screenshots in comment #6 and #7.

However, there is some inconsistency in how the different account screens display. I can post some screenshots if you would like.

When you narrow the screen width down most of the account screens leave the account information on the top left (name, address, etc), the menu items under this (Check out, Details, etc), and then content for the screen to the right.

Th API key screen along with the Holds history and Modification log behave in a more responsive manner. These have the particular screen first, the account information, then the menu items.

If this is what you intended (the results matching your screenshots) then I am happy to sign-off on that basis.
Comment 10 David Nind 2019-01-19 06:17:41 UTC
Created attachment 84232 [details] [review]
Bug 22104: Clean up patron API keys template

This patch makes two corrections to the patron API key template: Convert
to Bootstrap grid and correct class on "new key" button.

To test, apply the patch and enable the RESTOAuth2ClientCredentials
preference.

 - Open a patron record in the staff client and choose More -> Manage
   API keys.
 - On the API keys page, confirm that the page adjusts well at various
   page widths.
 - Confirm that the size of the "Generate new client id/key pair" button
   matches the buttons in the toolbar.

Signed-off-by: David Nind <david@davidnind.com>
Comment 11 Katrin Fischer 2019-01-19 22:46:34 UTC
Created attachment 84234 [details] [review]
Bug 22104: Clean up patron API keys template

This patch makes two corrections to the patron API key template: Convert
to Bootstrap grid and correct class on "new key" button.

To test, apply the patch and enable the RESTOAuth2ClientCredentials
preference.

 - Open a patron record in the staff client and choose More -> Manage
   API keys.
 - On the API keys page, confirm that the page adjusts well at various
   page widths.
 - Confirm that the size of the "Generate new client id/key pair" button
   matches the buttons in the toolbar.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 12 Nick Clemens 2019-01-28 16:12:14 UTC
Awesome work all!

Pushed to master for 19.05
Comment 13 Martin Renvoize 2019-02-01 14:43:24 UTC
Enhancement will not be backported to 18.11.x